<!-- Copyright 2019 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/cr_elements/icons.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">

<dom-module id="security-token-pin">
  <template>
    <style include="oobe-dialog-host"></style>
    <link rel="stylesheet" href="security_token_pin.css">

    <oobe-dialog class="gaia-dialog" has-buttons role="dialog"
        title-key="securityTokenPinDialogTitle" id="dialog"
        aria-label$="[[i18nDynamic(locale, 'securityTokenPinDialogTitle')]]"
        aria-describedby="description">
      <hd-iron-icon slot="oobe-icon" icon1x="oobe-32:lock"
          icon2x="oobe-64:lock">
      </hd-iron-icon>
      <div slot="subtitle" id="subtitle">
        <span id="description" hidden="[[processingCompletion_]]">
          [[i18nDynamic(locale, 'securityTokenPinDialogSubtitle')]]
        </span>
      </div>
      <paper-progress slot="progress" id="progress"
          hidden="[[!processingCompletion_]]"
          indeterminate="[[processingCompletion_]]">
      </paper-progress>
      <div slot="footer">
        <div id="pinKeyboardContainer" hidden="[[processingCompletion_]]">
          <pin-keyboard id="pinKeyboard" enable-letters allow-non-digit
              has-error="[[isErrorLabelVisible_(parameters, userEdited_)]]"
              aria-label="[[getLabel_(parameters, userEdited_)]]"
              on-pin-change="onPinChange_" on-submit="onSubmit_"
              disabled="[[!canEdit_]]">
            <div id="errorContainer" role="alert" problem
                invisible$="[[!isLabelVisible_(parameters, userEdited_)]]">
              <iron-icon id="errorIcon" icon="cr:error-outline"></iron-icon>
              <span id="error">[[getLabel_(parameters, userEdited_)]]</span>
            </div>
          </pin-keyboard>
        </div>
      </div>
      <div slot="back-navigation">
        <oobe-back-button id="back" on-click="onBackClicked_">
        </oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-next-button id="submit" on-click="onSubmit_"
            disabled="[[!canSubmit_]]"></oobe-next-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
